package cn.iocoder.yudao.module.system.dal.mysql.devuce;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.app.devuce.vo.DevucePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.devuce.DevuceDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * 设备 Mapper
 *
 * @author 开发账号
 */
@Mapper
public interface DevuceMapper extends BaseMapperX<DevuceDO> {

    default PageResult<DevuceDO> selectPage(DevucePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DevuceDO>()
                .eqIfPresent(DevuceDO::getDeviceSn, reqVO.getDeviceSn())
                .eqIfPresent(DevuceDO::getDishesId, reqVO.getDishesId())
                .betweenIfPresent(DevuceDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DevuceDO::getBind, reqVO.getBind())
                .orderByDesc(DevuceDO::getId));
    }



}